Get File Metadata

View as MarkdownOpen in Claude
Returns shared file metadata. **Required scope:** `sharing.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Team Admin)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin) This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer
OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

Request

This endpoint expects an object.
filestringRequiredformat: "((\/|id:).*|nspath:[0-9]+:.*)|ns:[0-9]+(/.*)?">=1 character
The file to query.
actionslist of objects or nullOptional

A list of FileActions corresponding to FilePermissions that should appear in the response’s SharedFileMetadata.permissions field describing the actions the authenticated user can perform on the file.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
idstringformat: "id:.+">=4 characters
The ID of the file.
namestring
The name of this file.
policyobject
Policies governing this shared file.
preview_urlstring
URL for displaying a web preview of the shared file.
access_typeobject or nullOptional
The current user's access level for this shared file.
owner_display_nameslist of strings or nullOptional
The display names of the users that own the file. If the file is part of a team folder, the display names of the team admins are also included. Absent if the owner display names cannot be fetched.
owner_teamobject or nullOptional
The team that owns the file. This field is not present if the file is not owned by a team.
parent_shared_folder_idany or nullOptional
The ID of the parent shared folder. This field is present only if the file is contained within a shared folder.
path_displaystring or nullOptional
The cased path to be used for display purposes only. In rare instances the casing will not correctly match the user's filesystem, but this behavior will match the path provided in the Core API v1. Absent for unmounted files.
path_lowerstring or nullOptional

The lower-case full path of this file. Absent for unmounted files.

permissionslist of objects or nullOptional

The sharing permissions that requesting user has on this file. This corresponds to the entries given in GetFileMetadataBatchArg.actions or GetFileMetadataArg.actions.

time_inviteddatetime or nullOptional
Timestamp indicating when the current user was invited to this shared file. If the user was not invited to the shared file, the timestamp will indicate when the user was invited to the parent shared folder. This value may be absent.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error